#*******************************************************************************
#Licensed Materials - Property of IBM
#(c) Copyright IBM Corporation 2012. All Rights Reserved.
#
#Note to U.S. Government Users Restricted Rights:  
#Use, duplication or disclosure restricted by GSA ADP Schedule 
#Contract with IBM Corp. 
#*******************************************************************************
#!/bin/sh
# Report Design Exporter Launcher

pwd | grep -q "[[:space:]]"
if [ $? -eq 0 ];
  then /bin/echo -e \
ERROR:  The Jazz Team Server may not be installed in a directory whose name \\n\
contains a space character.  Please relocate the jazz directory and try again.
  exit 1
fi

# START_DIR=$(dirname "$0")
START_DIR=$(pwd)

DEFINE="$DEFINE -Dorg.eclipse.emf.ecore.plugin.EcorePlugin.doNotLoadResourcesPlugin=true"
DEFINE="$DEFINE -Djava.awt.headless=true"
DEFINE="$DEFINE -Dlog4j.configuration=file://$START_DIR/parameterizeCredentials_log4j.properties"
    
JAVA="$START_DIR/../../../common/java/jre/bin/java"
LAUNCHER=org.eclipse.equinox.launcher_1.0.1.R33x_v20080118.jar         
JAR="$START_DIR/../reportExporter/eclipse/plugins/$LAUNCHER"
APPLICATION=com.ibm.rational.clearquest.reports.birt.tools.application
$JAVA -Xmx512M $DEFINE -jar $JAR -application $APPLICATION $* 
